// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import com.sun.xml.rpc.encoding.DeserializationException;
import com.sun.xml.rpc.encoding.SOAPInstanceBuilder;
import com.sun.xml.rpc.util.exception.LocalizableExceptionAdapter;

public class Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct_SOAPBuilder
		implements SOAPInstanceBuilder {
	private info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct _instance;
	private java.lang.String lemma;
	private java.lang.String wbbList;
	private java.lang.String suchArt;
	private java.lang.String offset;
	private java.lang.String limit;
	private static final int myLEMMA_INDEX = 0;
	private static final int myWBBLIST_INDEX = 1;
	private static final int mySUCHART_INDEX = 2;
	private static final int myOFFSET_INDEX = 3;
	private static final int myLIMIT_INDEX = 4;

	public Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct_SOAPBuilder() {
	}

	public void setLemma(java.lang.String lemma) {
		this.lemma = lemma;
	}

	public void setWbbList(java.lang.String wbbList) {
		this.wbbList = wbbList;
	}

	public void setSuchArt(java.lang.String suchArt) {
		this.suchArt = suchArt;
	}

	public void setOffset(java.lang.String offset) {
		this.offset = offset;
	}

	public void setLimit(java.lang.String limit) {
		this.limit = limit;
	}

	@Override
	public int memberGateType(int memberIndex) {
		switch (memberIndex) {
		case myLEMMA_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myWBBLIST_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case mySUCHART_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myOFFSET_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		case myLIMIT_INDEX:
			return GATES_INITIALIZATION | REQUIRES_CREATION;
		default:
			throw new IllegalArgumentException();
		}
	}

	@Override
	public void construct() {
	}

	@Override
	public void setMember(int index, java.lang.Object memberValue) {
		try {
			switch (index) {
			case myLEMMA_INDEX:
				_instance.setLemma((java.lang.String) memberValue);
				break;
			case myWBBLIST_INDEX:
				_instance.setWbbList((java.lang.String) memberValue);
				break;
			case mySUCHART_INDEX:
				_instance.setSuchArt((java.lang.String) memberValue);
				break;
			case myOFFSET_INDEX:
				_instance.setOffset((java.lang.String) memberValue);
				break;
			case myLIMIT_INDEX:
				_instance.setLimit((java.lang.String) memberValue);
				break;
			default:
				throw new java.lang.IllegalArgumentException();
			}
		} catch (java.lang.RuntimeException e) {
			throw e;
		} catch (java.lang.Exception e) {
			throw new DeserializationException(new LocalizableExceptionAdapter(
					e));
		}
	}

	@Override
	public void initialize() {
	}

	@Override
	public void setInstance(java.lang.Object instance) {
		_instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_LemmaSearch4_NEW_RCP2xml_linking_RequestStruct) instance;
	}

	@Override
	public java.lang.Object getInstance() {
		return _instance;
	}
}
